Contracts

List all accessible contracts

get

This operation is retrieving a list of contracts that your account credentials are authorized to access. This operation is primarily useful to IONOS' Resellers, as a non-reseller user account will only have access to a single contract.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Responses
chevron-right
200

Successful operation

application/json

Describes a reference to a specific activity log source.

idinteger · int64Optional

The Contract ID

typestringOptional

A string indicating the type

hrefstring · uriOptional

A URL reference

get
/activitylog/v1/contracts

Download Activity Log entries.

get

This operation returns the actual activity log data related to the specific contractId supplied in the request. The amount of data returned can be limited by providing one or both of the optional startDate and endDate parameters.

If valid values for both dateStart and dateEnd are supplied, then the activity log information for the date range specified will be returned. Omitting either dateStart or dateEnd will return all entries available after dateStart or before dateEnd.

For pagination use the page and size parameters.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
contractNumberintegerRequired

Contract number thats activity log entires should be downloaded.

Query parameters
dateStartstringOptional

Start date for the Activity Log entries (inclusive) (e.g. '2021-09-23T11:43:51Z' or '2016-07-01')

dateEndstringOptional

End date for the Activity Log entries (exclusive) (e.g. '2021-09-27T10:31:15Z' or '2016-07-30')

offsetintegerOptional

Page index ( the number of hits to skip )

Default: 0
limitintegerOptional

Page size ( the maximum number of hits to return )

Default: 20
Responses
chevron-right
200

Downloading activity log entries

application/json

Activity log data related to the specific contractId

get
/activitylog/v1/contracts/{contractNumber}

Last updated

Was this helpful?